<?php
require_once './Control/ControlContato.php';
require_once './Util/Utilidades.php';
$controlContato = new ControlContato();
$contatoDepartamento = $controlContato->pegarTodosContatodepartamento();
$ar = Utilidades::OrdenarArray($contatoDepartamento->allToArray(), 'nome');
$arquivoForm = 'adm_contatoDepartamentoForm.php';
?>
<button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#dados','acao=inserir&lang=ptbr');">Novo registro</button>
<table class="datatable">
    <thead>
        <tr>
            <?php
            $ColNomes = '<th>Nome</th><th>E-mail</th><th>Telefone</th><th>Ramal</th><th></th>';
            echo $ColNomes;
            ?>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($ar as $key => $row) {
            $pk = $row['contatodepartamentoid'];
            $nome = $row['nome'];
            echo '<tr class="gradeA" id="contatoDepartamentoID_' . $pk .'">';
            echo '<td>' . $row['nome'] . '</td>';
            echo '<td>' . $row['email'] . '</td>';
            echo '<td>' . $row['telefone'] . '</td>';
            echo '<td>' . $row['ramal'] . '</td>';
            echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
            echo '</tr>';
        }
        ?>
    </tbody>
    <tfoot><?php echo $ColNomes?></tfoot>
</table>
<script>
    iniciarDataTable('.datatable');
</script>
<?php
        FormAjax::ExcluirRegistro('adm_contatoDepartamentoCMD.php');
?>